<div class="card">
  <div class="card-header bordered">
    <div class="header-block">
      <h3 class="title">Категории задач</h3>
    </div>
  </div>
  <div class="card-block">

    <div class="form-group">

      <label class="control-label" for="e-select-category">Категория:</label>
      <select
        id="e-select-category"
        class="form-control"
        name="parentIdx"
        [ngModel]="selectedParent"
        (ngModelChange)="onChangeParentCategoryModel($event)"

      >
        <option
          *ngFor="let c of parentCategories"
          [ngValue]="+c.id"
        >{{c.name}}
        </option>
      </select>
    </div>


    <ul class="list-group">
      <li class="list-group-item"
          (click)="selectCategory(cat)"
          [ngClass]="{
          'active': cat.id === sCategory.id,
          'list-group-item-warning': cat.deprecated
          }"
          *ngFor="let cat of childCategories | grandFilter: isNotDeprecated">
        {{prettyCatName(cat)}}
      </li>
    </ul>

  </div>
</div>


<div *ngIf="allCategories | grandFilter: isDeprecated as deprecated">
  <div class="card" *ngIf="deprecated.length > 0">
    <div class="card-header bordered">
      <div class="header-block">
        <h3 class="title">Категории выполненных задач</h3>
      </div>
    </div>
    <div class="card-block">
      <ul class="list-group">
        <li class="list-group-item"
            (click)="selectCategory(cat)"
            [ngClass]="{
          'active': cat.id === sCategory.id,
          'list-group-item-warning': cat.deprecated
          }"
            *ngFor="let cat of allCategories | grandFilter: isDeprecated">
          {{prettyCatName(cat)}}
        </li>
      </ul>
    </div>
  </div>
</div>
